SET FEEDBACK OFF
ALTER TABLE ADDRESS ADD (CONSTRAINT check_ENTITY_TYPE_NM0
   CHECK (ENTITY_TYPE_NM IN ('EMAIL_ADDRESS'
      ,'MAILING_ADDRESS','PHONE_NUMBER',
      'PHYSICAL_ADDRESS','WWW_ADDRESS')));
ALTER TABLE AREA_ELEMENT ADD (CONSTRAINT check_ENTITY_TYPE_NM1
   CHECK (ENTITY_TYPE_NM IN ('PATTERNED_AREA'
      ,'RASTER_IMAGE')));
ALTER TABLE BOREHOLE_COMPONENT ADD (CONSTRAINT check_ENTITY_TYPE_NM2
   CHECK (ENTITY_TYPE_NM IN ('BOREHOLE'
      ,'BOREHOLE_TRAJECTORY_SECTION','ENLARGED_DIAMETER_BOREHOLE_SEG',
      'OPEN_BOREHOLE_SEGMENT','PERFORATION_SET','SINGLE_DIAMETER_BOREHOLE_SEG',
      'TEMPORARY_COMPLETION','WELL_COMPLETION_SEGMENT')));
ALTER TABLE BULK_MATERIAL ADD (CONSTRAINT check_ENTITY_TYPE_NM3
   CHECK (ENTITY_TYPE_NM IN ('CEMENT'
      ,'CORE','DRILLING_KICK_FLUID',
      'DRILLSTEM_TEST_RECOVERY','DRILL_CUTTINGS_SAMPLE','FILTER_CAKE',
      'FLUID_FILTRATE','FLUID_SAMPLE','FRACTURE',
      'LOCAL_ROCK_FEATURE','OTHER_MATERIAL','OUTCROP_SAMPLE',
      'PALEONTOLOGY_SLIDE','PORE','RECOMBINED_FLUID_SAMPLE',
      'RESERVOIR_FLUID_SYSTEM','ROCK_COMPONENT','ROCK_IN_OUTCROP',
      'ROCK_POWDER_SAMPLE','ROCK_THIN_SECTION','SPECIFIC_FLUID_COMPONENT',
      'SUBSURFACE_ROCK_SEGMENT','WELL_OPERATION_FLUID','WELL_OPERATION_SOLID',
      'WELL_TEST_OPEN_PERIOD_RECOVERY','WIRELINE_FM_TEST_RECOVERY')));
ALTER TABLE CONTRACT ADD (CONSTRAINT check_ENTITY_TYPE_NM4
   CHECK (ENTITY_TYPE_NM IN ('CONTRACT_AMENDMENT'
      ,'CO_AND_O_AGREEMENT','JOINT_VENTURE_AGREEMENT',
      'LICENSE_AGREEMENT','MARKETING_AGREEMENT','SERVICE_AGREEMENT',
      'TITLE_AGREEMENT','UNITIZATION_AGREEMENT','WELL_OPERATING_AGREEMENT')));
ALTER TABLE CONTRACT_DESIGNATION ADD (CONSTRAINT check_ENTITY_TYPE_NM5
   CHECK (ENTITY_TYPE_NM IN ('CONTRACT_DESIGNATION'
      ,'DEPOSITORY_DESIGNATION','INTEREST_DESIGNATION',
      'OWNERSHIP_DESIGNATION')));
ALTER TABLE COORDINATE_SYSTEM ADD (CONSTRAINT check_ENTITY_TYPE_NM6
   CHECK (ENTITY_TYPE_NM IN ('COMPOUND_COORDINATE_SYSTEM'
      ,'GENERAL_COORDINATE_SYSTEM','GEOCENTRIC_COORDINATE_SYSTEM',
      'GEOGRAPHIC_2D_COORD_SYSTEM','GEOGRAPHIC_3D_COORD_SYSTEM','PROJECTED_2D_COORDINATE_SYSTEM',
      'VERTICAL_COORDINATE_SYSTEM')));
ALTER TABLE COORDINATE_TRANSFORMATION ADD (CONSTRAINT check_ENTITY_TYPE_NM7
   CHECK (ENTITY_TYPE_NM IN ('CONCATENATED_TRANSFORMATION'
      ,'MAP_PROJECTION','SINGLE_TRANSFORMATION')));
ALTER TABLE DOCUMENT ADD (CONSTRAINT check_ENTITY_TYPE_NM8
   CHECK (ENTITY_TYPE_NM IN ('ELECTRONIC_DOCUMENT'
      ,'HARDCOPY_DOCUMENT')));
ALTER TABLE DOCUMENT_SCHEMA_PART ADD (CONSTRAINT check_ENTITY_TYPE_NM9
   CHECK (ENTITY_TYPE_NM IN ('DOCUMENT_SCHEMA_ATTRIBUTE'
      ,'DOCUMENT_SCHEMA_COMMENT','DOCUMENT_SCHEMA_ELEMENT',
      'DOCUMENT_SCHEMA_ENTITY')));
ALTER TABLE DOCUMENT_SPECIFICATION_PART ADD (CONSTRAINT check_ENTITY_TYPE_NM10
   CHECK (ENTITY_TYPE_NM IN ('DOCUMENT_GRAPHICAL_CONTENT'
      ,'DOCUMENT_INFORMATION_CONTENT','DOCUMENT_SPEC_REFERENCE',
      'DOCUMENT_TEXTUAL_CONTENT')));
ALTER TABLE FACILITY_COMPOSITION ADD (CONSTRAINT check_ENTITY_TYPE_NM11
   CHECK (ENTITY_TYPE_NM IN ('FACILITY_SPECIFIC_COMPOSITION'
      ,'FACILITY_TYPE_COMPOSITION')));
ALTER TABLE GENERAL_FACILITY ADD (CONSTRAINT check_ENTITY_TYPE_NM12
   CHECK (ENTITY_TYPE_NM IN ('AIRCRAFT'
      ,'ANCHORING_SYSTEM','ANCHOR_WINCH',
      'BOREHOLE_FLUID_SYSTEM','BUILDING','BULK_STORAGE_SYSTEM',
      'CHOKE','COILED_TUBING','COILED_TUBING_REEL',
      'COILED_TUBING_SECTION','COILED_TUBING_UNIT','COMPRESSOR',
      'DIGITAL_STORAGE_FACILITY','DRILLING_DERRICK_SYSTEM','DRILLING_RIG',
      'DYNAMIC_POSITIONING_SYSTEM','ELECTRICAL_BATTERY','FACILITY_REFERENCE_POINT',
      'FLOW_CONTROL_FACILITY','FLUID_LIFT_SYSTEM','GATHERING_FACILITY',
      'HEAT_EXCHANGER','HOISTING_SYSTEM','HYDROCYCLONE',
      'INJECTION_FACILITY','JACKING_SYSTEM','LACT_UNIT',
      'LAND_VEHICLE','LIBRARY_FACILITY','MANIFOLD',
      'MARINE_RISER_SYSTEM','MATERIAL_COLLECTION_STATION','MEASUREMENT_POINT',
      'MECHANICAL_CABLE','MOTOR','MUD_PIT',
      'NOZZLE','OTHER_FACILITY','OTHER_GEOPHYSICAL_FACILITY',
      'PIPELINE','PLATFORM','POSITION_SENSOR_FACILITY',
      'POTENTIAL_FIELD_PLATFORM','POTENTIAL_FIELD_RECORDER','POTENTIAL_FIELD_SENSOR_FCL',
      'PRIME_MOVER','PROCESS_PLANT','PRODUCTION_TREATING_FACILITY',
      'PUMP','PUMP_LINER','RECORDER',
      'RHEOMETER','RIG_FLUID_SYSTEM','RIG_POWER_SYSTEM',
      'ROD_PUMPING_UNIT','ROTATING_SYSTEM','SAMPLE_CONTAINER',
      'SATELLITE_SYSTEM','SEISMIC_RECEIVER_FACILITY','SEISMIC_SOURCE_FACILITY',
      'SEISMOGRAPH_FACILITY','SEISMOGRAPH_PLATFORM','SENSOR',
      'SEPARATOR','SHALE_SHAKER','SHIP',
      'STANDPIPE_SYSTEM','STOCK_TANK','STREAMER',
      'STREAMER_SECTION','SURFACE_CABLE','TANK_BATTERY',
      'VALVE','VAPOR_RECOVERY_UNIT','WELLHEAD',
      'WELL_CONTROL_SYSTEM','WELL_LOGGING_SYSTEM','WELL_LOG_SONDE',
      'WELL_PAD','WELL_SLOT','WIRELINE_CABLE',
      'WIRELINE_CARTRIDGE')));
ALTER TABLE GEOLOGIC_FEATURE ADD (CONSTRAINT check_ENTITY_TYPE_NM13
   CHECK (ENTITY_TYPE_NM IN ('AQUIFER'
      ,'FEATURE_BOUNDARY_PART','FLUID_FEATURE_CONTACT',
      'GEOLOGIC_FAULT','OUTCROP','POOL',
      'RESERVOIR','RESERVOIR_DRAINAGE_FEATURE','RESERVOIR_PATTERN_FEATURE',
      'RESERVOIR_ZONE','ROCK_FEATURE','ROCK_SURFACE',
      'SEISMIC_FEATURE','STRATIGRAPHIC_MARKER')));
ALTER TABLE GEOPHYSICAL_DATA_SET ADD (CONSTRAINT check_ENTITY_TYPE_NM14
   CHECK (ENTITY_TYPE_NM IN ('POTENTIAL_FIELD_DATA_SET'
      ,'SEISMIC_DATA_SET')));
ALTER TABLE GEOPHYSICAL_GEOMETRY_SET ADD (CONSTRAINT check_ENTITY_TYPE_NM15
   CHECK (ENTITY_TYPE_NM IN ('POTENTIAL_FIELD_GEOMETRY_SET'
      ,'SEISMIC_GEOMETRY_SET')));
ALTER TABLE GEOPHYSICAL_POINT ADD (CONSTRAINT check_ENTITY_TYPE_NM16
   CHECK (ENTITY_TYPE_NM IN ('GEOPHYSICAL_ACQUISITION_POINT'
      ,'GEOPHYSICAL_PROCESSING_POINT')));
ALTER TABLE GEOPHYSICAL_PROCESSING_GRID ADD (CONSTRAINT check_ENTITY_TYPE_NM17
   CHECK (ENTITY_TYPE_NM IN ('BINSET_GRID'
      ,'BINSET_GRID_VARIANT','POTENTIAL_FIELD_PROC_GRID')));
ALTER TABLE GRID_1D ADD (CONSTRAINT check_ENTITY_TYPE_NM18
   CHECK (ENTITY_TYPE_NM IN ('GRID_1D_EQUAL'
      ,'GRID_1D_PARAMETRIC','GRID_1D_UNEQUAL')));
ALTER TABLE GRID_MODIFICATION ADD (CONSTRAINT check_ENTITY_TYPE_NM19
   CHECK (ENTITY_TYPE_NM IN ('GRID_COARSENING_MODIFICATION'
      ,'GRID_REFINEMENT_MODIFICATION')));
ALTER TABLE GUIDELINE_OR_PRIVILEGE ADD (CONSTRAINT check_ENTITY_TYPE_NM20
   CHECK (ENTITY_TYPE_NM IN ('BUSINESS_ASSOCIATE_PRIVILEGE'
      ,'GUIDELINE','LIMITATION',
      'OBJECTIVE','REGULATION')));
ALTER TABLE IMAGE_PALETTE ADD (CONSTRAINT check_ENTITY_TYPE_NM21
   CHECK (ENTITY_TYPE_NM IN ('COLOR_PALETTE'
      ,'GRAY_SCALE_PALETTE')));
ALTER TABLE LINE_ELEMENT ADD (CONSTRAINT check_ENTITY_TYPE_NM22
   CHECK (ENTITY_TYPE_NM IN ('CURVED_TEXT_ELEMENT'
      ,'LINE_ELEMENT')));
ALTER TABLE MATERIAL_COMPOSITION ADD (CONSTRAINT check_ENTITY_TYPE_NM23
   CHECK (ENTITY_TYPE_NM IN ('MATERIAL_SPECIFIC_COMPOSITION'
      ,'MATERIAL_TYPE_COMPOSITION')));
ALTER TABLE OFFSHORE_LEGAL_SURVEY_AREA ADD (CONSTRAINT check_ENTITY_TYPE_NM24
   CHECK (ENTITY_TYPE_NM IN ('OFFSHORE_AREA'
      ,'OFFSHORE_BLOCK','OFFSHORE_QUADRANT')));
ALTER TABLE PERMIT_SPECIFICATION ADD (CONSTRAINT check_ENTITY_TYPE_NM25
   CHECK (ENTITY_TYPE_NM IN ('COMMINGLING_PERMIT'
      ,'DRILLING_PERMIT','PERMIT',
      'RECLAMATION_CERTIFICATE')));
ALTER TABLE PFNU_EXTERNAL_CONNECTION ADD (CONSTRAINT check_ENTITY_TYPE_NM26
   CHECK (ENTITY_TYPE_NM IN ('PFNU_CARGO_CONNECTION'
      ,'PFNU_EXTERNAL_DIRECT_CONN','PFNU_EXTERNAL_SPAN_CONNECTION')));
ALTER TABLE PFNU_GROUP ADD (CONSTRAINT check_ENTITY_TYPE_NM27
   CHECK (ENTITY_TYPE_NM IN ('PFNU_GROUP'
      ,'WELL_PATTERN')));
ALTER TABLE PFNU_GROUP_ALLOCATION ADD (CONSTRAINT check_ENTITY_TYPE_NM28
   CHECK (ENTITY_TYPE_NM IN ('PFNU_GROUP_ALLOCATION'
      ,'WELL_PATTERN_PARTICIPATION')));
ALTER TABLE PFNU_INTERNAL_BEHAVIOR_MODEL ADD (CONSTRAINT check_ENTITY_TYPE_NM29
   CHECK (ENTITY_TYPE_NM IN ('HORIZONTAL_PIPE_FLOW_MODEL'
      ,'VERTICAL_TUBING_FLOW_MODEL')));
ALTER TABLE POINT_ELEMENT ADD (CONSTRAINT check_ENTITY_TYPE_NM30
   CHECK (ENTITY_TYPE_NM IN ('SYMBOL'
      )));
ALTER TABLE P_AZIMUTH ADD (CONSTRAINT check_ENTITY_TYPE_NM31
   CHECK (ENTITY_TYPE_NM IN ('PTY_AZIMUTH'
      ,'PTY_DIP_AZIMUTH','PTY_STRIKE')));
ALTER TABLE P_DECLINE_CURVE ADD (CONSTRAINT check_ENTITY_TYPE_NM32
   CHECK (ENTITY_TYPE_NM IN ('PTY_EFF_EXPON_DECLINE_RATE'
      ,'PTY_EFF_HARM_DECLINE_RATE','PTY_EFF_HYPER_DECLINE_RATE',
      'PTY_INITIAL_FINAL_RATE_RATIO','PTY_LOSS_RATIO_DECLINE_RATE','PTY_NOMINAL_EXPON_DECLINE_RATE',
      'PTY_NOMINAL_HARM_DECLINE_RATE','PTY_NOMINAL_HYPER_DECLINE_RATE')));
ALTER TABLE P_GENERIC_PROPERTY ADD (CONSTRAINT check_ENTITY_TYPE_NM33
   CHECK (ENTITY_TYPE_NM IN ('PTY_GENERIC_ANGLE'
      ,'PTY_GENERIC_BINARY','PTY_GENERIC_BOOLEAN',
      'PTY_GENERIC_DATE','PTY_GENERIC_DAYTIMEINTERVAL','PTY_GENERIC_ELEMENT',
      'PTY_GENERIC_ENUMERATION','PTY_GENERIC_INTEGER','PTY_GENERIC_LINE',
      'PTY_GENERIC_LOCATION','PTY_GENERIC_LOGICAL','PTY_GENERIC_MONEY',
      'PTY_GENERIC_POINT','PTY_GENERIC_PROBABILITY','PTY_GENERIC_QUANTITY',
      'PTY_GENERIC_RATIO','PTY_GENERIC_RATIONAL','PTY_GENERIC_REAL',
      'PTY_GENERIC_STRING','PTY_GENERIC_SURFACE','PTY_GENERIC_TIME',
      'PTY_GENERIC_VOLUME')));
ALTER TABLE P_GEOMETRY_1D_EDGE ADD (CONSTRAINT check_ENTITY_TYPE_NM34
   CHECK (ENTITY_TYPE_NM IN ('PTY_GEOMETRY_COMPLEX_1D_EDGE'
      ,'PTY_GEOMETRY_SIMPLE_1D_EDGE')));
ALTER TABLE P_INCLINATION_FROM_VERTICAL ADD (CONSTRAINT check_ENTITY_TYPE_NM35
   CHECK (ENTITY_TYPE_NM IN ('PTY_DIP_ANGLE'
      ,'PTY_INCLINATION_FROM_VERTICAL')));
ALTER TABLE REGULATION_CLAUSE ADD (CONSTRAINT check_ENTITY_TYPE_NM36
   CHECK (ENTITY_TYPE_NM IN ('REGULATION_CLAUSE'
      ,'REGULATION_CLAUSE_AMENDMENT')));
ALTER TABLE R_UNIT_OF_MEASURE ADD (CONSTRAINT check_ENTITY_TYPE_NM37
   CHECK (ENTITY_TYPE_NM IN ('REF_BASE_SI_UNIT'
      ,'REF_CUSTOMARY_UNIT_OF_MEASURE','REF_DERIVED_SI_UNIT')));
ALTER TABLE R_UNIT_OF_MEASURE_CONVERSION ADD (CONSTRAINT check_ENTITY_TYPE_NM38
   CHECK (ENTITY_TYPE_NM IN ('REF_UOM_CUSTOM_CONVERSION'
      ,'REF_UOM_SI_CONVERSION')));
ALTER TABLE SPATIAL_OBJECT ADD (CONSTRAINT check_ENTITY_TYPE_NM39
   CHECK (ENTITY_TYPE_NM IN ('COMPOSITE_SPATIAL_OBJECT'
      ,'EDGE','FACE',
      'REGION','RING','SHELL',
      'VERTEX')));
ALTER TABLE SPECIFIC_FLUID_PHASE ADD (CONSTRAINT check_ENTITY_TYPE_NM40
   CHECK (ENTITY_TYPE_NM IN ('FLUID_PHASE_SOLID'
      ,'FLUID_PHASE_VAPOR')));
ALTER TABLE WELLBORE_DEVICE ADD (CONSTRAINT check_ENTITY_TYPE_NM41
   CHECK (ENTITY_TYPE_NM IN ('BOTTOMHOLE_ASSEMBLY'
      ,'BRIDGE_PLUG','CASING_CENTRALIZER',
      'CASING_SHOE','COLLAR','CORE_BIT',
      'DOWNHOLE_CHOKE','DOWNHOLE_MOTOR','DOWNHOLE_PRESSURE_SENSOR',
      'DOWNHOLE_PUMP','DOWNHOLE_RATE_SENSOR','DOWNHOLE_SENSOR',
      'DOWNHOLE_TEMPERATURE_SENSOR','DRILLING_JAR','DRILLSTRING_STABILIZER',
      'DRILL_BIT','DRILL_COLLAR','DRILL_MEASUREMENT_TOOL',
      'DRILL_PIPE_JOINT','FISH','FLOAT_COLLAR',
      'GAS_LIFT_MANDREL','GAS_LIFT_VALVE','GAUGE_ADAPTER',
      'GRAVEL_PACK','HOLE_OPENER','PACKER',
      'PERFORATING_GUN','PLUNGER','SEALING_BORE',
      'SLIDING_SLEEVE','STANDING_VALVE','SUCKER_ROD_SEGMENT',
      'SUCKER_ROD_STRING','TRAVELING_VALVE','TUBING_ANCHOR',
      'UNDERREAMER','WELLBORE_PLUG')));
ALTER TABLE WELLBORE_TUBULAR ADD (CONSTRAINT check_ENTITY_TYPE_NM42
   CHECK (ENTITY_TYPE_NM IN ('BLAST_JOINT'
      ,'CASING_SEGMENT','CASING_STRING',
      'CROSSOVER_NIPPLE','DRILLSTRING','DRILLSTRING_SEGMENT',
      'EXPANSION_JOINT','HOLD_DOWN_NIPPLE','LANDING_NIPPLE',
      'LINER','MULESHOE','NIPPLE',
      'PERFORATED_JOINT','SAFETY_JOINT','SCREEN_LINER',
      'SHOCK_SUB','TIE_BACK_STRING','TUBING_SEGMENT',
      'TUBING_STRING')));
ALTER TABLE WELLBORE_VOLUME ADD (CONSTRAINT check_ENTITY_TYPE_NM43
   CHECK (ENTITY_TYPE_NM IN ('WELLBORE_ANNULAR_VOLUME'
      ,'WELLBORE_CEMENT_SHEATH','WELLBORE_FILL',
      'WELLBORE_TUBULAR_VOLUME')));

exit;
